[Lunar-commits] <moonbase> VirtualBox, vde2: move them to the virtual dir.
Florin Braescu
florin at lunar-linux.org
Mon May 17 20:16:51 CEST 2010
commit 3318f982907573d4a0b43c3e2f54737f9f99b65d
Author: Florin Braescu <florin at lunar-linux.org>
Date: Mon May 17 21:16:51 2010 +0300
VirtualBox, vde2: move them to the virtual dir.
---
devel/vde2/BUILD | 7 --
devel/vde2/DETAILS | 19 ------
virtual/VirtualBox/BUILD | 51 ++++++++++++++++
virtual/VirtualBox/DEPENDS | 12 ++++
virtual/VirtualBox/DETAILS | 18 ++++++
virtual/VirtualBox/POST_INSTALL | 2 +
virtual/VirtualBox/VirtualBox | 116 +++++++++++++++++++++++++++++++++++++
virtual/vde2/BUILD | 7 ++
virtual/vde2/DETAILS | 19 ++++++
x11-utils/VirtualBox/BUILD | 51 ----------------
x11-utils/VirtualBox/DEPENDS | 12 ----
x11-utils/VirtualBox/DETAILS | 18 ------
x11-utils/VirtualBox/POST_INSTALL | 2 -
x11-utils/VirtualBox/VirtualBox | 116 -------------------------------------
14 files changed, 225 insertions(+), 225 deletions(-)
diff --git a/devel/vde2/BUILD b/devel/vde2/BUILD
deleted file mode 100644
index c2abe8c..0000000
--- a/devel/vde2/BUILD
+++ /dev/null
@@ -1,7 +0,0 @@
-(
-
- patch_it $SOURCE2 1 &&
-
- default_build
-
-) > $C_FIFO 2>&1
diff --git a/devel/vde2/DETAILS b/devel/vde2/DETAILS
deleted file mode 100644
index c73dd13..0000000
--- a/devel/vde2/DETAILS
+++ /dev/null
@@ -1,19 +0,0 @@
- MODULE=vde2
- VERSION=2.2.2
- SOURCE=${MODULE}-$VERSION.tar.gz
- SOURCE2=vde-${VERSION}-gcc43.patch
- SOURCE_URL=$SFORGE_URL/vde
- SOURCE2_URL=$PATCH_URL/
- SOURCE_VFY=sha1:979efc41dd5d0c41f54929159031361e961c6b80
- SOURCE2_VFY=sha1:cc22e018d5347cae34f430e2f6075b56c0c797d5
- WEB_SITE=http://vde.sourceforge.net
- ENTERED=20090525
- UPDATED=20090923
- SHORT="virtual distributed ethernet"
-
-cat << EOF
-VDE: Virtual Distributed Ethernet. It creates the abstraction of a
-virtual ethernet: a single vde can be accessed by virtual and real
-computers
-more info: http://wiki.virtualsquare.org/index.php/VDE
-EOF
diff --git a/virtual/VirtualBox/BUILD b/virtual/VirtualBox/BUILD
new file mode 100644
index 0000000..1270340
--- /dev/null
+++ b/virtual/VirtualBox/BUILD
@@ -0,0 +1,51 @@
+(
+
+ # Disable qt3
+ sedit s at WITH_QT3=1 at WITH_QT3=0@ configure &&
+
+ # We need the qt4 paths
+ . /etc/profile.d/qt4.rc &&
+
+ # Build VirtualBox
+ # Disable hardening, so normal users can run it
+ OPTS+=" --disable-hardening" &&
+ OPTS+=" --with-qt4-dir=$QTDIR" &&
+ ./configure $OPTS &&
+ source ./env.sh &&
+ kmk &&
+
+ # Build source package for kernel module
+ pushd out/linux.x86/release/bin/ &&
+ message "Building ${MODULE_COLOR}virtualbox-module-${VERSION_COLOR}${VERSION}${DEFAULT_COLOR}." &&
+ message "This may take a while..." &&
+ tar -cjf $SOURCE_CACHE/virtualbox-module-$VERSION.tar.bz2 src &&
+ popd &&
+
+ # Prepare for installation
+ prepare_install &&
+
+ # Create install directory
+ mkdir -p $MODULE_PREFIX &&
+
+ # Install contents of the build directory
+ cp -R out/linux.x86/release/bin/* $MODULE_PREFIX &&
+
+ # Install the startup script to /usr/bin
+ install -m 755 $SCRIPT_DIRECTORY/VirtualBox /usr/bin &&
+
+ # Substitute $INSTALL_DIR with the module prefix
+ sedit 's:$INSTALL_DIR:'$MODULE_PREFIX':g' /usr/bin/VirtualBox &&
+
+ # Install the config file to let VirtualBox know it is installed
+ mkdir -p /etc/vbox &&
+ echo "INSTALL_DIR=$MODULE_PREFIX" > /etc/vbox/vbox.cfg &&
+
+ # Install .desktop entry and icon, then update the icon cache
+ install -D -m644 /usr/lib/virtualbox/virtualbox.desktop /usr/share/applications/virtualbox.desktop &&
+ install -D -m644 /usr/lib/virtualbox/VBox.png /usr/share/icons/hicolor/32x32/apps/VBox.png &&
+ gtk-update-icon-cache /usr/share/icons/hicolor &&
+
+ # Create the vboxusers group
+ groupadd -f vboxusers
+
+) > $C_FIFO 2>&1
diff --git a/virtual/VirtualBox/DEPENDS b/virtual/VirtualBox/DEPENDS
new file mode 100644
index 0000000..b61614a
--- /dev/null
+++ b/virtual/VirtualBox/DEPENDS
@@ -0,0 +1,12 @@
+depends xalan-c++
+depends iasl
+depends dev86
+depends libxslt
+depends libXcursor
+depends qt4
+depends libIDL
+depends SDL_ttf
+depends alsa-lib
+depends libcap
+
+optional_depends pulseaudio "" "--disable-pulse" "For pulseaudio backend"
diff --git a/virtual/VirtualBox/DETAILS b/virtual/VirtualBox/DETAILS
new file mode 100644
index 0000000..aba0010
--- /dev/null
+++ b/virtual/VirtualBox/DETAILS
@@ -0,0 +1,18 @@
+ MODULE=VirtualBox
+ VERSION=3.1.8
+ SOURCE=$MODULE-$VERSION-OSE.tar.bz2
+SOURCE_DIRECTORY=$BUILD_DIRECTORY/$MODULE-${VERSION}_OSE
+ SOURCE_URL=http://download.virtualbox.org/virtualbox/$VERSION
+ SOURCE_VFY=sha1:e29f3070d337d9c475241a68948dba43c363b079
+ MODULE_PREFIX=${VIRTUALBOX_PREFIX:-/usr/lib/virtualbox/}
+ WEB_SITE=http://virtualbox.org
+ ENTERED=20071004
+ UPDATED=20100511
+ SHORT="Full virtualizer for x86 hardware"
+
+cat << EOF
+InnoTek VirtualBox is a general-purpose full virtualizer for x86
+hardware. Targeted at server, desktop and embedded use, it is now
+the only professional-quality virtualization solution that is also
+Open Source Software.
+EOF
diff --git a/virtual/VirtualBox/POST_INSTALL b/virtual/VirtualBox/POST_INSTALL
new file mode 100644
index 0000000..13d4d06
--- /dev/null
+++ b/virtual/VirtualBox/POST_INSTALL
@@ -0,0 +1,2 @@
+#Install the kernel module
+lin -c virtualbox-module
diff --git a/virtual/VirtualBox/VirtualBox b/virtual/VirtualBox/VirtualBox
new file mode 100755
index 0000000..0c67ddd
--- /dev/null
+++ b/virtual/VirtualBox/VirtualBox
@@ -0,0 +1,116 @@
+#!/bin/sh
+#
+# innotek VirtualBox
+#
+# Copyright (C) 2006-2007 innotek GmbH
+#
+# This file is part of VirtualBox Open Source Edition (OSE), as
+# available from http://www.virtualbox.org. This file is free software;
+# you can redistribute it and/or modify it under the terms of the GNU
+# General Public License as published by the Free Software Foundation,
+# in version 2 as it comes in the "COPYING" file of the VirtualBox OSE
+# distribution. VirtualBox OSE is distributed in the hope that it will
+# be useful, but WITHOUT ANY WARRANTY of any kind.
+
+PATH="/usr/bin:/bin:/usr/sbin:/sbin"
+CONFIG="/etc/vbox/vbox.cfg"
+
+if [ ! -r "$CONFIG" ]; then
+ echo "Could not find VirtualBox installation. Please reinstall."
+ exit 1
+fi
+
+. "$CONFIG"
+
+# Note: This script must not fail if the module was not successfully installed
+# because the user might not want to run a VM but only change VM params!
+
+if [ "$1" = "shutdown" ]; then
+ SHUTDOWN="true"
+elif ! lsmod|grep -q vboxdrv; then
+ cat << EOF
+WARNING: The vboxdrv kernel module is not loaded. Either there is no module
+ available for the current kernel (`uname -r`) or it failed to
+ load. Please recompile the kernel module and install it by
+
+ sudo /etc/init.d/vboxdrv setup
+
+ You will not be able to start VMs until this problem is fixed.
+EOF
+elif [ ! -c /dev/vboxdrv ]; then
+ cat << EOF
+WARNING: The character device /dev/vboxdrv does not exist. Try
+
+ sudo /etc/init.d/virtualbox restart
+
+ and if that is not successful, try to re-install the package.
+
+ You will not be able to start VMs until this problem is fixed.
+EOF
+elif [ ! -w /dev/vboxdrv ]; then
+ if [ "`id | grep vboxusers`" = "" ]; then
+ cat << EOF
+WARNING: You are not a member of the "vboxusers" group. Please add yourself
+ to this group before starting VirtualBox.
+
+ You will not be able to start VMs until this problem is fixed.
+EOF
+ else
+ cat << EOF
+WARNING: /dev/vboxdrv not writable for some reason. If you recently added the
+ current user to the vboxusers group then you have to logout and
+ re-login to take the change effect.
+
+ You will not be able to start VMs until this problem is fixed.
+EOF
+ fi
+fi
+
+if [ -f /etc/vbox/module_not_compiled ]; then
+ cat << EOF
+WARNING: The compilation of the vboxdrv.ko kernel module failed during the
+ installation for some reason. Starting a VM will not be possible.
+ Please consult the User Manual for build instructions.
+EOF
+fi
+
+export LD_LIBRARY_PATH="$INSTALL_DIR${LD_LIBRARY_PATH:+:$LD_LIBRARY_PATH}"
+
+SERVER_PID=`ps -U \`whoami\` | grep VBoxSVC | awk '{ print $1 }'`
+if [ -z "$SERVER_PID" ]; then
+ # Server not running yet/anymore, cleanup socket path.
+ # See IPC_GetDefaultSocketPath()!
+ if [ -n "$LOGNAME" ]; then
+ rm -rf /tmp/.vbox-$LOGNAME-ipc > /dev/null 2>&1
+ else
+ rm -rf /tmp/.vbox-$USER-ipc > /dev/null 2>&1
+ fi
+fi
+
+if [ "$SHUTDOWN" = "true" ]; then
+ if [ -n "$SERVER_PID" ]; then
+ kill -TERM $SERVER_PID
+ sleep 2
+ fi
+ exit 0
+fi
+
+APP=`which $0`
+APP=${APP##/*/}
+case "$APP" in
+ VirtualBox)
+ exec "$INSTALL_DIR/VirtualBox" "$@"
+ ;;
+ VBoxManage)
+ exec "$INSTALL_DIR/VBoxManage" "$@"
+ ;;
+ VBoxSDL)
+ exec "$INSTALL_DIR/VBoxSDL" "$@"
+ ;;
+ VBoxVRDP)
+ exec "$INSTALL_DIR/VBoxVRDP" "$@"
+ ;;
+ *)
+ echo "Unknown application - $APP"
+ ;;
+esac
diff --git a/virtual/vde2/BUILD b/virtual/vde2/BUILD
new file mode 100644
index 0000000..c2abe8c
--- /dev/null
+++ b/virtual/vde2/BUILD
@@ -0,0 +1,7 @@
+(
+
+ patch_it $SOURCE2 1 &&
+
+ default_build
+
+) > $C_FIFO 2>&1
diff --git a/virtual/vde2/DETAILS b/virtual/vde2/DETAILS
new file mode 100644
index 0000000..c73dd13
--- /dev/null
+++ b/virtual/vde2/DETAILS
@@ -0,0 +1,19 @@
+ MODULE=vde2
+ VERSION=2.2.2
+ SOURCE=${MODULE}-$VERSION.tar.gz
+ SOURCE2=vde-${VERSION}-gcc43.patch
+ SOURCE_URL=$SFORGE_URL/vde
+ SOURCE2_URL=$PATCH_URL/
+ SOURCE_VFY=sha1:979efc41dd5d0c41f54929159031361e961c6b80
+ SOURCE2_VFY=sha1:cc22e018d5347cae34f430e2f6075b56c0c797d5
+ WEB_SITE=http://vde.sourceforge.net
+ ENTERED=20090525
+ UPDATED=20090923
+ SHORT="virtual distributed ethernet"
+
+cat << EOF
+VDE: Virtual Distributed Ethernet. It creates the abstraction of a
+virtual ethernet: a single vde can be accessed by virtual and real
+computers
+more info: http://wiki.virtualsquare.org/index.php/VDE
+EOF
diff --git a/x11-utils/VirtualBox/BUILD b/x11-utils/VirtualBox/BUILD
deleted file mode 100644
index 1270340..0000000
--- a/x11-utils/VirtualBox/BUILD
+++ /dev/null
@@ -1,51 +0,0 @@
-(
-
- # Disable qt3
- sedit s at WITH_QT3=1 at WITH_QT3=0@ configure &&
-
- # We need the qt4 paths
- . /etc/profile.d/qt4.rc &&
-
- # Build VirtualBox
- # Disable hardening, so normal users can run it
- OPTS+=" --disable-hardening" &&
- OPTS+=" --with-qt4-dir=$QTDIR" &&
- ./configure $OPTS &&
- source ./env.sh &&
- kmk &&
-
- # Build source package for kernel module
- pushd out/linux.x86/release/bin/ &&
- message "Building ${MODULE_COLOR}virtualbox-module-${VERSION_COLOR}${VERSION}${DEFAULT_COLOR}." &&
- message "This may take a while..." &&
- tar -cjf $SOURCE_CACHE/virtualbox-module-$VERSION.tar.bz2 src &&
- popd &&
-
- # Prepare for installation
- prepare_install &&
-
- # Create install directory
- mkdir -p $MODULE_PREFIX &&
-
- # Install contents of the build directory
- cp -R out/linux.x86/release/bin/* $MODULE_PREFIX &&
-
- # Install the startup script to /usr/bin
- install -m 755 $SCRIPT_DIRECTORY/VirtualBox /usr/bin &&
-
- # Substitute $INSTALL_DIR with the module prefix
- sedit 's:$INSTALL_DIR:'$MODULE_PREFIX':g' /usr/bin/VirtualBox &&
-
- # Install the config file to let VirtualBox know it is installed
- mkdir -p /etc/vbox &&
- echo "INSTALL_DIR=$MODULE_PREFIX" > /etc/vbox/vbox.cfg &&
-
- # Install .desktop entry and icon, then update the icon cache
- install -D -m644 /usr/lib/virtualbox/virtualbox.desktop /usr/share/applications/virtualbox.desktop &&
- install -D -m644 /usr/lib/virtualbox/VBox.png /usr/share/icons/hicolor/32x32/apps/VBox.png &&
- gtk-update-icon-cache /usr/share/icons/hicolor &&
-
- # Create the vboxusers group
- groupadd -f vboxusers
-
-) > $C_FIFO 2>&1
diff --git a/x11-utils/VirtualBox/DEPENDS b/x11-utils/VirtualBox/DEPENDS
deleted file mode 100644
index b61614a..0000000
--- a/x11-utils/VirtualBox/DEPENDS
+++ /dev/null
@@ -1,12 +0,0 @@
-depends xalan-c++
-depends iasl
-depends dev86
-depends libxslt
-depends libXcursor
-depends qt4
-depends libIDL
-depends SDL_ttf
-depends alsa-lib
-depends libcap
-
-optional_depends pulseaudio "" "--disable-pulse" "For pulseaudio backend"
diff --git a/x11-utils/VirtualBox/DETAILS b/x11-utils/VirtualBox/DETAILS
deleted file mode 100644
index aba0010..0000000
--- a/x11-utils/VirtualBox/DETAILS
+++ /dev/null
@@ -1,18 +0,0 @@
- MODULE=VirtualBox
- VERSION=3.1.8
- SOURCE=$MODULE-$VERSION-OSE.tar.bz2
-SOURCE_DIRECTORY=$BUILD_DIRECTORY/$MODULE-${VERSION}_OSE
- SOURCE_URL=http://download.virtualbox.org/virtualbox/$VERSION
- SOURCE_VFY=sha1:e29f3070d337d9c475241a68948dba43c363b079
- MODULE_PREFIX=${VIRTUALBOX_PREFIX:-/usr/lib/virtualbox/}
- WEB_SITE=http://virtualbox.org
- ENTERED=20071004
- UPDATED=20100511
- SHORT="Full virtualizer for x86 hardware"
-
-cat << EOF
-InnoTek VirtualBox is a general-purpose full virtualizer for x86
-hardware. Targeted at server, desktop and embedded use, it is now
-the only professional-quality virtualization solution that is also
-Open Source Software.
-EOF
diff --git a/x11-utils/VirtualBox/POST_INSTALL b/x11-utils/VirtualBox/POST_INSTALL
deleted file mode 100644
index 13d4d06..0000000
--- a/x11-utils/VirtualBox/POST_INSTALL
+++ /dev/null
@@ -1,2 +0,0 @@
-#Install the kernel module
-lin -c virtualbox-module
diff --git a/x11-utils/VirtualBox/VirtualBox b/x11-utils/VirtualBox/VirtualBox
deleted file mode 100755
index 0c67ddd..0000000
--- a/x11-utils/VirtualBox/VirtualBox
+++ /dev/null
@@ -1,116 +0,0 @@
-#!/bin/sh
-#
-# innotek VirtualBox
-#
-# Copyright (C) 2006-2007 innotek GmbH
-#
-# This file is part of VirtualBox Open Source Edition (OSE), as
-# available from http://www.virtualbox.org. This file is free software;
-# you can redistribute it and/or modify it under the terms of the GNU
-# General Public License as published by the Free Software Foundation,
-# in version 2 as it comes in the "COPYING" file of the VirtualBox OSE
-# distribution. VirtualBox OSE is distributed in the hope that it will
-# be useful, but WITHOUT ANY WARRANTY of any kind.
-
-PATH="/usr/bin:/bin:/usr/sbin:/sbin"
-CONFIG="/etc/vbox/vbox.cfg"
-
-if [ ! -r "$CONFIG" ]; then
- echo "Could not find VirtualBox installation. Please reinstall."
- exit 1
-fi
-
-. "$CONFIG"
-
-# Note: This script must not fail if the module was not successfully installed
-# because the user might not want to run a VM but only change VM params!
-
-if [ "$1" = "shutdown" ]; then
- SHUTDOWN="true"
-elif ! lsmod|grep -q vboxdrv; then
- cat << EOF
-WARNING: The vboxdrv kernel module is not loaded. Either there is no module
- available for the current kernel (`uname -r`) or it failed to
- load. Please recompile the kernel module and install it by
-
- sudo /etc/init.d/vboxdrv setup
-
- You will not be able to start VMs until this problem is fixed.
-EOF
-elif [ ! -c /dev/vboxdrv ]; then
- cat << EOF
-WARNING: The character device /dev/vboxdrv does not exist. Try
-
- sudo /etc/init.d/virtualbox restart
-
- and if that is not successful, try to re-install the package.
-
- You will not be able to start VMs until this problem is fixed.
-EOF
-elif [ ! -w /dev/vboxdrv ]; then
- if [ "`id | grep vboxusers`" = "" ]; then
- cat << EOF
-WARNING: You are not a member of the "vboxusers" group. Please add yourself
- to this group before starting VirtualBox.
-
- You will not be able to start VMs until this problem is fixed.
-EOF
- else
- cat << EOF
-WARNING: /dev/vboxdrv not writable for some reason. If you recently added the
- current user to the vboxusers group then you have to logout and
- re-login to take the change effect.
-
- You will not be able to start VMs until this problem is fixed.
-EOF
- fi
-fi
-
-if [ -f /etc/vbox/module_not_compiled ]; then
- cat << EOF
-WARNING: The compilation of the vboxdrv.ko kernel module failed during the
- installation for some reason. Starting a VM will not be possible.
- Please consult the User Manual for build instructions.
-EOF
-fi
-
-export LD_LIBRARY_PATH="$INSTALL_DIR${LD_LIBRARY_PATH:+:$LD_LIBRARY_PATH}"
-
-SERVER_PID=`ps -U \`whoami\` | grep VBoxSVC | awk '{ print $1 }'`
-if [ -z "$SERVER_PID" ]; then
- # Server not running yet/anymore, cleanup socket path.
- # See IPC_GetDefaultSocketPath()!
- if [ -n "$LOGNAME" ]; then
- rm -rf /tmp/.vbox-$LOGNAME-ipc > /dev/null 2>&1
- else
- rm -rf /tmp/.vbox-$USER-ipc > /dev/null 2>&1
- fi
-fi
-
-if [ "$SHUTDOWN" = "true" ]; then
- if [ -n "$SERVER_PID" ]; then
- kill -TERM $SERVER_PID
- sleep 2
- fi
- exit 0
-fi
-
-APP=`which $0`
-APP=${APP##/*/}
-case "$APP" in
- VirtualBox)
- exec "$INSTALL_DIR/VirtualBox" "$@"
- ;;
- VBoxManage)
- exec "$INSTALL_DIR/VBoxManage" "$@"
- ;;
- VBoxSDL)
- exec "$INSTALL_DIR/VBoxSDL" "$@"
- ;;
- VBoxVRDP)
- exec "$INSTALL_DIR/VBoxVRDP" "$@"
- ;;
- *)
- echo "Unknown application - $APP"
- ;;
-esac
More information about the Lunar-commits
mailing list